beryllium 1.x-dev Drupal 10 deprecation details

Name and release Project type Usage count Top X project by usage Maintainers
beryllium 1.x-dev Theme 0 10000 delzhand, fearlsgroove, kerrivader
Status Next step Instructions Drupal.org issues
Fix deprecation errors found Run Rector to fix some errors Some of the errors found are covered by drupal-rector automation (thanks to Palantir.net funding), which should be used to speed up resolving them. Check out the Project Update Bot patch in the issue queue. Get the automated fix committed first and resolve the manual problems afterwards. Drupal 10 compatibility issues
Filter errors
Occurrence in project Sort ascending All occurrences Affected projects Category Error
2 1393 670 Drupal API, rector covered Call to deprecated function drupal_get_path(). Deprecated in drupal:9.3.0 and is removed from drupal:10.0.0. Use Drupal​\​Core​\​Extension​\​ExtensionPathResolver::getPath() instead.
1 48 25 Drupal API, not rector covered The #drupal-off-canvas selector is deprecated in drupal:9.5.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3305664.
1 4395 3746 Info.yml or composer.json Value of core_version_requirement: ^8 || ^9 is not compatible with the next major version of Drupal core. See https://drupal.org/node/3070687.
1 3 3 Frontend API Theme is overriding a deprecated library. The "core/jquery.ui" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969
1 3 3 Frontend API Theme is overriding a deprecated library. The "core/jquery.ui.dialog" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969
1 2 2 Frontend API Theme is overriding a deprecated library. The "core/jquery.ui.menu" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969
1 1 1 Twig API The spaceless tag in "themes/contrib/beryllium/templates/input/form-element-label.html.twig" at line 29 is deprecated since Twig 2.7, use the "spaceless" filter with the "apply" tag instead. See https://drupal.org/node/3071078.
1 1 1 Twig API The spaceless tag in "themes/contrib/beryllium/templates/input/input.html.twig" at line 22 is deprecated since Twig 2.7, use the "spaceless" filter with the "apply" tag instead. See https://drupal.org/node/3071078.
1 1 1 Twig API The spaceless tag in "themes/contrib/beryllium/templates/input/select.html.twig" at line 18 is deprecated since Twig 2.7, use the "spaceless" filter with the "apply" tag instead. See https://drupal.org/node/3071078.
1 1 1 Twig API Using an "if" condition on "for" tag in "themes/contrib/beryllium/templates/input/select.html.twig" at line 37 is deprecated since Twig 2.10.0, use a "filter" filter or an "if" condition inside the "for" body instead (if your condition depends on a variable updated inside the loop). See https://drupal.org/node/3071078.
1 1 1 Twig API The spaceless tag in "themes/contrib/beryllium/templates/system/dropbutton-wrapper.html.twig" at line 16 is deprecated since Twig 2.7, use the "spaceless" filter with the "apply" tag instead. See https://drupal.org/node/3071078.


Results are from dataset #8389 from 2022-12-04T17:18. Report is ran by the Drupal Association regularly.